# Interface methods for submodule: ImageToMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshSourceProxy as _MeshSourceProxy


# Interface methods for class: ImageToMeshFilter
class ImageToMeshFilterProxy(_MeshSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

	@overload
	def SetInput(self, idx: int, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

